Get workflow JSON schema

Base URL
https://{kibana_url}
  • GET /api/workflows/schema
  • GET /s/{space_id}/api/workflows/schema
Auth

Retrieve the JSON schema used to validate workflow YAML definitions. The schema includes available step types based on the configured connectors in the current space.

Required privileges

Privileges workflowsManagement:read

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

loose boolean required

When true, returns a permissive schema that allows additional properties. When false, returns a strict schema for full validation.

Response

200

Indicates a successful response

application/json
Base URL
https://{kibana_url}